Package org.zkoss.bind.sys.debugger.impl.info

## Class ExecutionInfoBase

- java.lang.Object
- - org.zkoss.bind.sys.debugger.impl.info.ExecutionInfoBase

- All Implemented Interfaces:
    `ExecutionInfo`
  Direct Known Subclasses:
    `AddBindingInfo`, `AddCommandBindingInfo`, `AnnoWarnInfo`, `CommandInfo`, `EventInfo`, `LoadInfo`, `NotifyChangeInfo`, `SaveInfo`, `StackInfo`, `ValidationInfo`

      public class ExecutionInfoBase
      extends java.lang.Object
      implements ExecutionInfo

  Author:
    dennis

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ExecutionInfoBase​(java.lang.String type, java.lang.String subtype, Component comp, java.lang.String note)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getComponent()` | the component of this info
    `java.lang.String` | `getNote()` | the note of this info
    `java.lang.String` | `getSubtype()` |
    `java.lang.String` | `getType()` | the type of this info
    `protected static void` | `put​(JSONObject json, java.lang.String prop, java.lang.Object val)` |
    `protected static void` | `putEssential​(JSONObject json, java.lang.String prop, java.lang.Object val)` |
    `JSONObject` | `toJSON()` |
    `protected static java.lang.String` | `toString​(java.lang.Object value, int len)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionInfoBase

          protected ExecutionInfoBase​(java.lang.String type,
                                      java.lang.String subtype,
                                      Component comp,
                                      java.lang.String note)

  - ### Method Detail

    - #### getComponent

          public Component getComponent()

      Description copied from interface: `ExecutionInfo`
      the component of this info
      Specified by:
        `getComponent` in interface `ExecutionInfo`

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `ExecutionInfo`
      the type of this info
      Specified by:
        `getType` in interface `ExecutionInfo`

    - #### getNote

          public java.lang.String getNote()

      Description copied from interface: `ExecutionInfo`
      the note of this info
      Specified by:
        `getNote` in interface `ExecutionInfo`

    - #### getSubtype

          public java.lang.String getSubtype()

    - #### toJSON

          public JSONObject toJSON()

    - #### put

          protected static void put​(JSONObject json,
                                    java.lang.String prop,
                                    java.lang.Object val)

    - #### putEssential

          protected static void putEssential​(JSONObject json,
                                             java.lang.String prop,
                                             java.lang.Object val)

    - #### toString

          protected static java.lang.String toString​(java.lang.Object value,
                                                     int len)